Bug 4518 - Enhance 2.2 to 3.0 scripts
Summary: Enhance 2.2 to 3.0 scripts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-17 01:42 UTC by Nahuel Angelinetti
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
(bug #4518) enhance 2.2 to 3.0 scripts (3.65 KB, patch)
2011-06-07 08:07 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:28:07 UTC


---- Reported by nahuel.angelinetti@biblibre.com 2010-05-17 13:42:48 ----

The scripts contains a lot of leaks, they must be enhanced.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:28 UTC  ---

This bug was previously known as _bug_ 4518 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4518

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 2 Chris Cormack 2011-06-07 08:07:54 UTC
Created attachment 4393 [details] [review]
(bug #4518) enhance 2.2 to 3.0 scripts

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Paul Poulain 2011-08-03 10:21:38 UTC
QA comment:

mmm... frankly, do we have to care with this ? is there anyone/ppl needing to move from 2.2 ? I hope no !

I'll ask on koha mailing list immediatly.
Comment 4 Chris Cormack 2011-08-03 10:28:42 UTC
Unfortunately there are hundreds of libraries around the world still running 2.2.x versions.
I know of many in malaysia and the philipines. Plus all the windows users.
Comment 5 Ian Walls 2011-09-22 01:53:55 UTC
It is unclear what exactly these enhancements are supposed to do, making it impossible to test (even if I had a 2.2 install to upgrade).  Could I get some more background on what this patch is attempting to fix?
Comment 6 Paul Poulain 2011-09-26 08:36:22 UTC
Ian,
Those patches are supposed to deal with some specific cases, that either should not happend in a 2.2 DB, but sometimes happend, or cases that are rarely relevant, but we should deal with them.

I still have this patch on my todo list, will take care of it later (not on top of my list though)

Anyway, for most upgrades, this patch should be useless (but for some, the upgrade would fail or let the DB in an unconsistent state)
Comment 7 Marcel de Rooy 2011-11-14 11:26:44 UTC
Two small QA remarks.

move_marc_to_authheader.pl
This pertains to UNIMARC only. Is not clear from name of script or initial comments. Compare with warning in misc/migration_tools/upgradeitems.pl.

upgradeitems.pl
The way the code uses $rqitemnumber is somewhat questionable. Apparently, you want to check the existence of itemnumber from 995 in items table. In the for loop at the end only the last item number is passed to ModItemFromMarc. I assume that there should always only be one subfield 9. Code will work therefore, but could be improved.

I set the status to Passed QA and let Paul decide if he wants to push or change status to Failed QA and work first on it. It should not stay on hold in the Signed Off queue.
Comment 8 Paul Poulain 2011-11-16 16:50:29 UTC
Patch pushed, Chris_n, it's worth pushing it on 3.6. Once it's done, please close the bug directly, as it will be very hard to find someone in 2.2 that would test it.
If there is a problem appearing, they'll open another bug or reopen this one
Comment 9 Jared Camins-Esakov 2012-05-23 12:37:02 UTC
This was included in the 3.6 branch prior to 3.6.4.